# pydicom.pixels.utils.get_j2k_parameters

pydicom.pixels.utils.get_j2k_parameters(codestream: bytes) → dict[str, Any]

  Return a dict containing JPEG 2000 component parameters.

  Added in version 2.1.

  Parameters:

    codestream (bytes) – The JPEG 2000 (ISO/IEC 15444-1) codestream to be parsed.

  Returns:

    A dict containing parameters for the first component sample in the JPEG 2000 codestream, or an empty dict if unable to parse the data. Available parameters are `{"precision": int, "is_signed": bool}`.

  Return type:

    dict